/*
 * décodeur pour des feux à 2 ou 3 leds sur Arduino MEGA
 * base sur le projet: <DCC Accessory Decoder> de Thierry PARIS
 * 
 * feuxy : vert pin x (IdDccy/0), rouge pin x+1 (IdDccy/1),[jaune pinx+2 (IdDccy+1/0)]
 * Leds : commun au +, commande au -
 * interruption int0 pour le DCC sur pin 2
 * 
 */

#include <UniversalAccessoryDecoder.h>  // la bibliothèque UAD
#include <TrafficSignal.h>              // la gestion des signaux

#define NB_FEUX_2  2      // nombre de feux a 2 leds
#define NB_FEUX_3  0      // nombre de feux a 3 leds
#define ID_DCC 40         // adresse DCC de départ du premier feu
#define LED_STATUS 53     // la broche pour le status DCC
#define BUTTON_PIN  A15   // la broche du bouton de test

TrafficSignal signaux;    // une instance des signaux

void setup() {signaux.Setup(NB_FEUX_2,NB_FEUX_3,ID_DCC, LED_STATUS, BUTTON_PIN);}  // le setup

void loop() {signaux.Loop();}       // la boucle

